SHUF(1)

NOM
shuf - Générer des permutations aléatoires

SYNOPSIS
shuf [OPTION] ... [FICHIER]
shuf -e [OPTION]... [PARAM]...
shuf -i BAS-HAUT [OPTION]...

DESCRIPTION

Afficher sur la sortie standard une permutation aléatoire des lignes d'entrée.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-e, --echo
    interpréter chaque PARAM comme une ligne d'entrée

-i, --input-range=DÉBUT-FIN
    interpréter chaque nombre entre DÉBUT et FIN comme une ligne d'entrée

-n, --head-count=LIGNES
    afficher au plus LIGNES lignes

-o, --output=FICHIER
    écrire le résultat dans le FICHIER à la place de la sortie standard

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-r, --repeat
    les lignes affichées peuvent être répétées

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

AUTEUR
Écrit par Paul Eggert.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/shuf>
aussi disponible localement à l’aide de la commande : info '(coreutils) shuf invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.